import clsx from 'clsx'
import { type ComponentProps } from 'react'

import { Separator as SeparatorRadix } from 'radix-ui'

import { rootStyles } from './Separator.styles'

type AvatarProps = ComponentProps<typeof SeparatorRadix.Root>

function Separator({ orientation, decorative, className }: AvatarProps) {
	return (
		<SeparatorRadix.Root
			orientation={orientation}
			decorative={decorative}
			className={clsx(rootStyles, className)}
		/>
	)
}

export { Separator }
